Index: /branches/HTM-4.0.1-VSP-dev0/CommonTestConditionsCfgs_CE_on_VSP/baseCfg_3view_b_texture+depth.RefOnly.cfg
===================================================================
--- /branches/HTM-4.0.1-VSP-dev0/CommonTestConditionsCfgs_CE_on_VSP/baseCfg_3view_b_texture+depth.RefOnly.cfg	(revision 193)
+++ /branches/HTM-4.0.1-VSP-dev0/CommonTestConditionsCfgs_CE_on_VSP/baseCfg_3view_b_texture+depth.RefOnly.cfg	(revision 193)
@@ -0,0 +1,220 @@
+
+#========== file i/o ==========
+InputFile_0               : org_0.yuv                              # video input file for view 0
+InputFile_1               : org_1.yuv                              # video input file for view 1
+InputFile_2               : org_2.yuv                              # video input file for view 2
+
+DepthInputFile_0          : org_depth_0.yuv                        # depth input file for view 0
+DepthInputFile_1          : org_depth_1.yuv                        # depth input file for view 1
+DepthInputFile_2          : org_depth_2.yuv                        # depth input file for view 2
+
+ReconFile_0               : rec_0.yuv                              # video output file for view 0
+ReconFile_1               : rec_1.yuv                              # video output file for view 1
+ReconFile_2               : rec_2.yuv                              # video output file for view 2
+
+DepthReconFile_0          : rec_depth_0.yuv                        # depth output file for view 0
+DepthReconFile_1          : rec_depth_1.yuv                        # depth output file for view 1
+DepthReconFile_2          : rec_depth_2.yuv                        # depth output file for view 2
+
+BitstreamFile             : stream.bit                             # bitstream file
+
+#========== general coding parameters ==========
+NumberOfViews             : 3                                      # number of views to be coded
+CodeDepthMaps             : 1                                      # encode depth maps
+FrameSkip                 : 0                                      # number of frames to be skipped at beginning of input sequences
+InputBitDepth             : 8                                      # bit depth of input files
+OutputBitDepth            : 8                                      # bit depth of output files
+InternalBitDepth          : 8                                      # internal bit depth used for coding
+
+CroppingMode              : 0                                      # Cropping mode (0: no cropping, 1:automatic padding, 2: padding, 3:cropping)
+CropLeft                  : 0                                      # Left cropping/padding for cropping mode 3
+CropRight                 : 0                                      # Right cropping/padding for cropping mode 3
+CropTop                   : 0                                      # Top cropping/padding for cropping mode 3
+CropBottom                : 0                                      # Bottom cropping/padding for cropping mode 3
+HorizontalPadding         : 0                                      # horizontal source padding for cropping mode 2
+VerticalPadding           : 0                                      # vertical source padding for cropping mode 2
+
+
+#========== camera parameters ==========
+CameraParameterFile       : cam_pars.txt                           # camera parameter file
+CodedCamParsPrecision     : 5                                      # precision used for coding of camera parameters (in units of 2^(-x) luma samples)
+
+
+#========== coding unit definitions ==========
+MaxCUWidth                : 64                                     # maximum coding unit witdh  (in luma samples) 
+MaxCUHeight               : 64                                     # maximum coding unit height (in luma samples)
+MaxPartitionDepth         : 4                                      # maximum coding unit depth
+QuadtreeTULog2MaxSize     : 5                                      # log2 of maximum transform size
+QuadtreeTULog2MinSize     : 2                                      # log2 of minimum transform size
+QuadtreeTUMaxDepthIntra   : 3                                      # maximum transform tree depth for intra-coded CU's
+QuadtreeTUMaxDepthInter   : 3                                      # maximum transform tree depth for inter-coded CU's
+
+
+#========== coding structure ==========
+IntraPeriod               : 24                                     # Period of I-Frame ( -1 = only first)
+DecodingRefreshType       : 1                                      # Random Accesss 0:none, 1:CDR, 2:IDR
+GOPSize                   : 8                                      # GOP Size (number of B slice = GOPSize-1)
+# V0        Type POC QPoffset QPfactor temporal_id #ref_pics_active ref_pic #ref_pics reference pictures predict deltaRIdx-1 deltaRPS #ref_idcs reference idcs  #IV_ref_pics  IV reference pics  IV ref list pos
+Frame1    : B    8   1        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      0                                                         0
+Frame2    : B    4   2        0.3536   0           2                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       0                                                         0
+Frame3    : B    2   3        0.3536   0           2                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         0                                                         0
+Frame4    : B    1   4        0.68     0           2                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       0                                                         0
+Frame5    : B    3   4        0.68     0           2                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       0                                                         0
+Frame6    : B    6   3        0.3536   0           2                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       0                                                         0
+Frame7    : B    5   4        0.68     0           2                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       0                                                         0
+Frame8    : B    7   4        0.68     0           2                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       0                                                         0
+FrameI_v1 : P    0   3        0.442    0           1                1       0                            0                                                      1             -1                 1                  0     1              -1            2                 0
+Frame1_v1 : B    8   4        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      1             -1                 2                  0     1              -1            3                 3
+Frame2_v1 : B    4   5        0.3536   0           3                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       1             -1                 2                  0     1              -1            4                 4
+Frame3_v1 : B    2   6        0.3536   0           3                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         1             -1                 2                  0     1              -1            4                 4
+Frame4_v1 : B    1   7        0.68     0           3                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       1             -1                 2                  0     0
+Frame5_v1 : B    3   7        0.68     0           3                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       1             -1                 3                  0     0
+Frame6_v1 : B    6   6        0.3536   0           3                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       1             -1                 3                  0     1              -1            4                 4
+Frame7_v1 : B    5   7        0.68     0           3                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       1             -1                 3                  0     0
+Frame8_v1 : B    7   7        0.68     0           3                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       1             -1                 3                  0     0
+FrameI_v2 : P    0   3        0.442    0           1                1       0                            0                                                      1             -2                 1                  0     1              -2            2                 0
+Frame1_v2 : B    8   4        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      1             -2                 2                  0     1              -2            3                 3
+Frame2_v2 : B    4   5        0.3536   0           3                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       1             -2                 2                  0     1              -2            4                 4
+Frame3_v2 : B    2   6        0.3536   0           3                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         1             -2                 2                  0     1              -2            4                 4
+Frame4_v2 : B    1   7        0.68     0           3                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       1             -2                 2                  0     0
+Frame5_v2 : B    3   7        0.68     0           3                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       1             -2                 3                  0     0
+Frame6_v2 : B    6   6        0.3536   0           3                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       1             -2                 3                  0     1              -2            4                 4
+Frame7_v2 : B    5   7        0.68     0           3                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       1             -2                 3                  0     0
+Frame8_v2 : B    7   7        0.68     0           3                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       1             -2                 3                  0     0
+
+ListCombination           : 1                                      # Use combined list for uni-prediction in B-slices
+LCModification            : 0                                      # enables signalling of combined reference list derivation
+DisableInter4x4           : 1                                      # Disable Inter4x4 (1: Disable Inter4x4, 0: Enable Inter4x4)
+
+
+#========== encoder control /motion search ==========
+FastSearch                : 1                                      # motion search mode (0:Full search, 1:Diamond, 2:PMVFAST)
+SearchRange               : 96                                     # motion search range (in luma samples)
+BipredSearchRange         : 4                                      # motion search range for bi-prediction refinement (in luma samples)
+HadamardME                : 1                                      # use Hadamard SAD for fractional-sample search
+FEN                       : 1                                      # use fast encoder control
+FDM                       : 1                                      # Fast Decision for Merge RD cost
+TMVP                      : 1                                      # Enable TMVP
+ECU                       : 0                                      # Early CU setting
+CFM                       : 0                                      # Cbf fast mode setting
+SBACRD                    : 1                                      # SBAC based RD estimation
+ASR                       : 0                                      # adaptive motion search range
+
+
+#========== quantization ==========
+DeltaQpRD                 : 0                                      # maximum delta QP offset for a slice
+MaxDeltaQP                : 0                                      # maximum delta QP offset for a block
+MaxCuDQPDepth             : 0                                      # max depth of a minimum CuDQP for sub-LCU-level delta QP
+RDOQ                      : 1 1                                    # use rate-distortion optimized quantization (RDOQ)
+ChromaQpOffset            : 0                                      # ChromaQPOffset
+ChromaQpOffset2nd         : 0                                      # ChromaQPOffset2nd
+AdaptiveQpSelection       : 0                                      # AdaptiveQpSelection
+AdaptiveQP                : 0                                      # QP adaptation based on a psycho-visual model
+MaxQPAdaptationRange      : 6                                      # QP adaptation range
+LambdaModifier0           : 1.0                                    # Lambda modifier for temporal layer 0
+LambdaModifier1           : 1.0                                    # Lambda modifier for temporal layer 1
+LambdaModifier2           : 1.0                                    # Lambda modifier for temporal layer 2
+LambdaModifier3           : 1.0                                    # Lambda modifier for temporal layer 3
+
+
+#=========== Quantization Matrix =================
+ScalingList               : 0                                      # ScalingList 0 : off, 1 : default, 2 : file read
+# ScalingListFile         :                                        # Scaling List file name. If file is not exist, use Default Matrix.
+
+
+#============ Lossless ================
+LosslessCuEnabled         : 0                                      # 1: Set "qpprime_y_zero_transquant_bypass_flag=1" and enable the lossless mode as well as the RD-based mode selection process.
+
+
+#========== slices ==========
+SliceGranularity          : 0                                      # Slice granularity relative the LCU size
+SliceMode                 : 0                                      # slice mode (0:off, 1:max # of LCUs, 2:max # of bytes)
+SliceArgument             : 1500                                   # slice argument (SliceMode1:max # of LCUs, SliceMode2: max # of bytes)
+EntropySliceMode          : 0                                      # entropy slices (0:off, 1:max # of LCUs, 2:max # of bins)
+EntropySliceArgument      : 180000                                 # entropy slice argument (EntropySliceMode1:max # of LCUs, EntropySliceMode2:max # of bins)
+LFCrossSliceBoundaryFlag  : 1                                      # loop-filtering across slice boundaries
+
+
+#========== deblocking ==========
+DeblockingFilterControlPresent : 1                                 # Dbl control params present (0=not present, 1=present)
+LoopFilterOffsetInAPS          : 0                                 # Dbl params in APS or SliceHeader (0=SliceHeader, 1=APS)
+LoopFilterDisable              : 0 1                               # disable deblocking filter
+LoopFilterBetaOffset_div2      : 0                                 # Range: -13 ~ 13
+LoopFilterTcOffset_div2        : 0                                 # Range: -13 ~ 13
+
+
+#========== coding tools ==========
+ALFEncodePassReduction         : 0                                 # ALF encoding (0:original 16-pass, 1:one-pass, 2:two-pass)
+SAO                            : 1 0                               # Sample adaptive offset  (0: OFF, 1: ON)
+ALF                            : 0 0                               # Adaptive loop filter  (0: OFF, 1: ON)
+LMChroma                       : 0                                 # Chroma from luma intra prediction mode (0: OFF, 1: ON)
+NSQT                           : 0                                 # Non-square transforms (0: OFF, 1: ON)
+AMP                            : 0                                 # Asymmetric motion partitions (0: OFF, 1: ON)
+ALFMaxNumFilter                : 16                                # ALF Max Number Filters per picture
+ALFParamInSlice                : 0                                 # ALF params in SliceHeader or APS (0=APS, 1=SliceHeader)
+ALFPicBasedEncode              : 1                                 # ALF LCU-based or picture-based encoding (0: LCU-based, 1: Picture-based)  
+MaxNumOffsetsPerPic            : 2048                              # default
+SAOInterleaving                : 0                                 # SAO interleaving flag (0: SAO parameter in APS, 1: SAO parameter in slice data) 
+ConstrainedIntraPred           : 0                                 # Constrained Intra Prediction
+weighted_pred_flag             : 0                                 # weighted prediction flag (P-Slices)
+weighted_bipred_idc            : 0                                 # weighted bipred idc (B-Slices)
+SignHideFlag                   : 1                                 # sign hiding
+SignHideThreshold              : 4                                 # sign hiding threshold
+
+
+#============ PCM ================
+PCMEnabledFlag                 : 0                                 # 0: No PCM mode
+PCMLog2MaxSize                 : 5                                 # Log2 of maximum PCM block size.
+PCMLog2MinSize                 : 3                                 # Log2 of minimum PCM block size.
+PCMInputBitDepthFlag           : 1                                 # 0: PCM bit-depth is internal bit-depth. 1: PCM bit-depth is input bit-depth.
+PCMFilterDisableFlag           : 0                                 # 0: Enable loop filtering on I_PCM samples. 1: Disable loop filtering on I_PCM samples.
+
+
+#============ Tiles ================
+TileInfoPresentFlag            : 1                                 # 0: tiles parameters are NOT present in the PPS, 1: tiles parameters are present in the PPS 
+UniformSpacingIdc              : 0                                 # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array, 1: the column and row boundaries are distributed uniformly
+NumTileColumnsMinus1           : 0                                 # Number of columns in a picture minus 1
+ColumnWidthArray               : 2 3                               # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
+NumTileRowsMinus1              : 0                                 # Number of rows in a picture minus 1
+RowHeightArray                 : 2                                 #  Array containing RowHeight values in units of LCU (from top to bottom in picture)
+TileLocationInSliceHeaderFlag  : 0                                 # If TileBoundaryIndependenceIdc==0 flag is ignored, 1: Enable writing tile location information to slice header, 0: Disable writing tile location information to slice header.
+TileMarkerFlag                 : 1                                 # If TileBoundaryIndependenceIdc==0 flag is ignored, 1: Enable writing tile markers, 0: Disable writing tile markers.
+MaxTileMarkerEntryPoints       : 4                                 # Maximum number of uniformly-spaced tile entry points (using tile markers). Default=4. If number of tiles < MaxTileMarkerEntryPoints then all tiles have entry points.
+TileControlPresentFlag         : 1                                 # 0: tiles behavior control parameters are NOT present in the PPS,  1: tiles behavior control parameters are present in the PPS
+LFCrossTileBoundaryFlag        : 1                                 # In-loop filtering is across or not across tile boundary.  0:not across, 1: across                                                       
+
+
+#============ WaveFront ================
+WaveFrontSynchro               : 0                                 # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case), >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
+WaveFrontFlush                 : 0                                 # 0: No CABAC resets are performed, 1: A CABAC reset is performed at the end of each LCU line.
+WaveFrontSubstreams            : 1                                 # >0: This many substreams per slice (or per tile if TileBoundaryIndependenceIdc=1) will be produced.
+
+
+#========== multiview coding tools ==========
+PredDepthMapGen           : 1                                      # generation of prediction depth maps (0:off, 1:using coded motion data, 2:using coded depth maps)
+MultiviewMvPred           : 7                                      # usage of prediction depth maps (0:off, 1:for interview, 2:for inter, 4:for merge, X:bit-wise combinations)
+MultiviewMvRegMode        : 1                                      # use original depth maps for regularizing inter-view motion vector
+MultiviewMvRegLambdaScale : 1.0                                    # lambda scale factor for inter-view motion vector regularization
+MultiviewResPred          : 1                                      # inter-view residual prediction (0:off, 1:on)
+InterViewSkip             : 0                                      # interview SKIP mode
+InterViewSkipLambdaScale  : 8                                      # lambda scale for inter-view skip mode
+
+
+#========== depth coding tools ==========
+DMM                       : 1                                      # use depth intra modes (wedgelets)
+MVI                       : 1                                      # motion parameter inheritance
+VSO                       : 1                                      # use of view synthesis optimization for depth coding
+
+
+#========== texture coding tools based on depth ==========
+VSP                       : 1
+VSPDepthDisable           : 0
+
+
+#========== view synthesis optimization (VSO) ==========
+VSOConfig                 : [cx0 B(cc1) I(s0.25 s0.5 s0.75)][cx1 B(oo0) B(oo2) I(s0.25 s0.5 s0.75 s1.25 s1.5 s1.75)][cx2 B(cc1) I(s1.25 s1.5 s1.75)] # VSO configuration string
+
+#============ Misc. ================
+SEIpictureDigest          : 0                                      # Control generation of picture_digest SEI messages
+
+
